<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
include($exCD."/nav-category.inc.php");
$savefile=$exCD."/nav-category.inc.php";

extract($_POST);
$cat0x=($_POST['cat0x']);
$cat0=($_POST['cat0']);
$cat0F=($_POST['cat0F']);
$cat0H=($_POST['cat0H']);

$cat1x=($_POST['cat1x']);
$cat1=($_POST['cat1']);
$cat1F=($_POST['cat1F']);
$cat1H=($_POST['cat1H']);

$cat2x=($_POST['cat2x']);
$cat2=($_POST['cat2']);
$cat2F=($_POST['cat2F']);
$cat2H=($_POST['cat2H']);

$cat3x=($_POST['cat3x']);
$cat3=($_POST['cat3']);
$cat3F=($_POST['cat3F']);
$cat3H=($_POST['cat3H']);

$cat4x=($_POST['cat4x']);
$cat4=($_POST['cat4']);
$cat4F=($_POST['cat4F']);
$cat4H=($_POST['cat4H']);

$cat5x=($_POST['cat5x']);
$cat5=($_POST['cat5']);
$cat5F=($_POST['cat5F']);
$cat5H=($_POST['cat5H']);

$cat6x=($_POST['cat6x']);
$cat6=($_POST['cat6']);
$cat6F=($_POST['cat6F']);
$cat6H=($_POST['cat6H']);

$cat9x=($_POST['cat9x']);
$cat9=($_POST['cat9']);
$cat9F=($_POST['cat9F']);
$cat9H=($_POST['cat9H']);

$cat1=str_replace(array('\'', '"', '\\'),'',$cat1);
$cat1=str_replace("@","",$cat1);

$cat2=str_replace(array('\'', '"', '\\'),'',$cat2);
$cat2=str_replace("@","",$cat2);

$cat3=str_replace(array('\'', '"', '\\'),'',$cat3);
$cat3=str_replace("@","",$cat3);

$cat4=str_replace(array('\'', '"', '\\'),'',$cat4);
$cat4=str_replace("@","",$cat4);

$cat5=str_replace(array('\'', '"', '\\'),'',$cat5);
$cat5=str_replace("@","",$cat5);

$cat6=str_replace(array('\'', '"', '\\'),'',$cat6);
$cat6=str_replace("@","",$cat6);

$cat1F=strtolower($cat1F);
$cat1F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat1F);
$cat1F=str_replace("@","",$cat1F);
$cat1F=str_replace("ä","ae",$cat1F);
$cat1F=str_replace("ö","oe",$cat1F);
$cat1F=str_replace("ü","ue",$cat1F);
$cat1F=str_replace("ß","ss",$cat1F);

$cat2F=strtolower($cat2F);
$cat2F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat2F);
$cat2F=str_replace("@","",$cat2F);
$cat2F=str_replace("ä","ae",$cat2F);
$cat2F=str_replace("ö","oe",$cat2F);
$cat2F=str_replace("ü","ue",$cat2F);
$cat2F=str_replace("ß","ss",$cat2F);

$cat3F=strtolower($cat3F);
$cat3F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat3F);
$cat3F=str_replace("@","",$cat3F);
$cat3F=str_replace("ä","ae",$cat3F);
$cat3F=str_replace("ö","oe",$cat3F);
$cat3F=str_replace("ü","ue",$cat3F);
$cat3F=str_replace("ß","ss",$cat3F);

$cat4F=strtolower($cat4F);
$cat4F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat4F);
$cat4F=str_replace("@","",$cat4F);
$cat4F=str_replace("ä","ae",$cat4F);
$cat4F=str_replace("ö","oe",$cat4F);
$cat4F=str_replace("ü","ue",$cat4F);
$cat4F=str_replace("ß","ss",$cat4F);

$cat5F=strtolower($cat5F);
$cat5F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat5F);
$cat5F=str_replace("@","",$cat5F);
$cat5F=str_replace("ä","ae",$cat5F);
$cat5F=str_replace("ö","oe",$cat5F);
$cat5F=str_replace("ü","ue",$cat5F);
$cat5F=str_replace("ß","ss",$cat5F);

$cat6F=strtolower($cat6F);
$cat6F=str_replace(array('!', '§', '$', '%', '&', '/', '(', ')', '=', '?', '€', '*', '~', '+', '#', ':', '.', ';', ',', '´', '`', ' ', '\'', '"', '\\'),'',$cat6F);
$cat6F=str_replace("@","",$cat6F);
$cat6F=str_replace("ä","ae",$cat6F);
$cat6F=str_replace("ö","oe",$cat6F);
$cat6F=str_replace("ü","ue",$cat6F);
$cat6F=str_replace("ß","ss",$cat6F);

$fieldcheckX="<?PHP 
\$cat0x='$cat0x';
\$cat0='$cat0';
\$cat0F='$cat0F';
\$cat0H='$cat0H';

\$cat1x='$cat1x';
\$cat1='$cat1';
\$cat1F='$cat1F';
\$cat1H='$cat1H';

\$cat2x='$cat2x';
\$cat2='$cat2';
\$cat2F='$cat2F';
\$cat2H='$cat2H';

\$cat3x='$cat3x';
\$cat3='$cat3';
\$cat3F='$cat3F';
\$cat3H='$cat3H';

\$cat4x='$cat4x';
\$cat4='$cat4';
\$cat4F='$cat4F';
\$cat4H='$cat4H';

\$cat5x='$cat5x';
\$cat5='$cat5';
\$cat5F='$cat5F';
\$cat5H='$cat5H';

\$cat6x='$cat6x';
\$cat6='$cat6';
\$cat6F='$cat6F';
\$cat6H='$cat6H';

\$cat9x='$cat9x';
\$cat9='$cat9';
\$cat9F='$cat9F';
\$cat9H='$cat9H';
?>";

$handle=fopen($savefile, "w");
fwrite($handle,$fieldcheckX);
fclose($handle);
$oldumask = umask(0);
chmod($savefile, 0644);
umask($oldumask);

if($cat0x == 0){
echo "<span class='resT'>".$loadingS."</span>";
}else{
echo "<span class='resF'>".$loadingF."</span>";
}

if($cat1F == ""){$cat1Fx="filing";}else{$cat1Fx=$cat1F;}
if($cat2F == ""){$cat2Fx="filing";}else{$cat2Fx=$cat2F;}
if($cat3F == ""){$cat3Fx="filing";}else{$cat3Fx=$cat3F;}
if($cat4F == ""){$cat4Fx="filing";}else{$cat4Fx=$cat4F;}
if($cat5F == ""){$cat5Fx="filing";}else{$cat5Fx=$cat5F;}
if($cat6F == ""){$cat6Fx="filing";}else{$cat6Fx=$cat6F;}

include("./functions/htaccess-config.inc.php");
$savefile=$exX."/.htaccess";
$handle=fopen($savefile, "w");
fwrite($handle,$htaccessC);
fclose($handle);
$oldumask = umask(0);
chmod($savefile, 0644);
umask($oldumask);

include("./../".$SYSP."/functions/htaccess-web.inc.php");
$savefile=$exX."/.htaccess";
$handle=fopen($savefile, "a+");
fwrite($handle,$htaccessX);
fclose($handle);
$oldumask = umask(0);
chmod($savefile, 0644);
umask($oldumask);

// SAVEINFO
$savedateX=time();
$savefileX="navcategory";
$saveData="<?PHP 
\$savedateX='$savedateX';
\$savefileX='$savefileX';
?>";
$saveFile="./../tmp/saveinfo-".$filename2."-".$vlink.".inc.php";
$handle=fopen($saveFile, "w");
fwrite($handle,$saveData);
fclose($handle);
$oldumask = umask(0);
chmod($saveFile, 0644);
umask($oldumask);

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
